Loading...
Searching...
No Matches
SparseStencilMatrix< ValueType_, STENCIL_SIZE >::EqOp< OtherValueType > Struct Template Reference

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions

| EqOp (const SparseStencilMatrix &a_, const SparseStencilMatrix< OtherValueType, STENCIL_SIZE > &b_, ValueType e)
bool | operator() (const SizeRange &range, bool equal) const

## Public Attributes

const SparseStencilMatrix * | a
const SparseStencilMatrix< OtherValueType, STENCIL_SIZE > * | b
const ValueType | eps

## Constructor & Destructor Documentation

## EqOp()

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename OtherValueType >

EqOp | ( | const SparseStencilMatrix & | a_,
|  | const SparseStencilMatrix< OtherValueType, STENCIL_SIZE > & | b_,
|  | ValueType | e )

inline

## Member Function Documentation

## operator()()

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename OtherValueType >

bool operator() | ( | const SizeRange & | range,
|  | bool | equal ) const

inline

## Member Data Documentation

## a

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename OtherValueType >

const SparseStencilMatrix* a

## b

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename OtherValueType >

const SparseStencilMatrix<OtherValueType, STENCIL_SIZE>* b

## eps

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename OtherValueType >

const ValueType eps